function mini_create ()	
	init_mini(1);
	create_mini(23,98,40,793,733,329,395,793,495,10,651);

end;
canskip=false
mini2lvl6=true
function gameinput (sender,id,attachedID)
MiniInterfaceHandler( sender, id );

	if sender==10  then
		mini_start=false;
	
	 MoveObjectX(651,98,793,2);
	 speciale_action(4,651)
		mini2lvl6=false
	 playeffect("063")	
	 BlockCursor(true)
	 playeffect("prop");  
	 finish_mini_game(false)
	return; end;
		if sender==28 then
		speciale_action(4,obj.mini_menu.id);
			if id==651 then
				flags.minicomplete30=true;
					StartTimer(2100,1)
			return; end;			
		return; end;
		
		if sender==26 then
			RemoveWindow(8,2.8,"DestroyMyWindow")	
		end
	
	
	if sender == 30 then
		if mini_start then
			StopAllEffects()
			setstatemenu()
			StopMusic()
			mini_start=false;
		return;end
		SetCurrentLeaf("angar",6,0);
		 BlockCursor(false)
		flags.comicswithbad=true;	
		ReturnHiddenObjects()      
		DeleteRenderTarget(2234)  					 
		leafobj={}	
		OpenPlushes()		
	return; end;
	
	if sender==777 then
			clear_satelite_leaf("angar");
			flags.comics3 = true;
			flags.mini_com2= true		
	end
	
	
  if sender == 36 then  
    if id == 2100 then
	set_visible_object(obj.mini_menu.id,false);
		flags.mini1_complete2 = true;
		ClosePlushes();
		plushes_were_closed = true;
    return; end;	
   return; end;	


	if sender == 33 then				
				CreateWindow(CWX,CWY,"667",3442,nil,100,230);		
		
	end;
	if sender==37 then
	   skipping=true;
	return;end;	

		
	if sender==1 then	
		-- MiniInterfaceHandler( sender, id );
		-- if id == obj.mini_help1.id then
			-- CreateWindow(CWX,CWY,"667",3442,nil,100,230);
		-- end;
		if id>=652 and id<=660 then 
			check_mini_game_NO_SKB(0);
			add_to_mouse(id);
			mousepressed=true;
			objectid=id;
        return; end;
	return;end;
	if sender==6 and not finish then
		speciale_action(4,obj.mini_border.id)
		speciale_action(4,obj.mini_help2.id)
		speciale_action(4,obj.mini_help1.id)
		speciale_action(4,obj.mini_help.id)
		speciale_action(4,obj.mini_skip2.id)
		speciale_action(4,obj.mini_skip1.id)
		speciale_action(4,obj.mini_skip.id)
		speciale_action(4,obj.mini_skip_loading.id)
		speciale_action(4,obj.mini_menu2.id)
		speciale_action(4,obj.mini_menu1.id)
		speciale_action(4,obj.mini_menu.id)
		 if navedenie==-1 then
				set_visible_object(obj.mini_help2.id,true)
				set_visible_object(obj.mini_menu2.id,true)			
				speciale_action(4,obj.mini_help2.id)	
				speciale_action(4,obj.mini_menu2.id)	
		 end
		if mousepressed then
		playeffect("062")
		  RemoveFromMouse(objectid);
		  playeffect("boxes");
		  check_mini_game_NO_SKB(2);
		  mousepressed=false
		  objectid=0
		return;end;  
    end;
	
end;